{*
/* SVN FILE: $Id: home.thtml 6305 2008-01-02 02:33:56Z phpnut $ */
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2008, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @filesource
 * @copyright		Copyright 2005-2008, Cake Software Foundation, Inc.
 * @link				http://www.cakefoundation.org/projects/info/cakephp CakePHP(tm) Project
 * @package			cake
 * @subpackage		cake.cake.libs.view.templates.pages
 * @since			CakePHP(tm) v 0.10.0.1076
 * @version			$Revision: 6305 $
 * @modifiedby		$LastChangedBy: phpnut $
 * @lastmodified	$Date: 2008-01-01 20:33:56 -0600 (Tue, 01 Jan 2008) $
 * @license			http://www.opensource.org/licenses/mit-license.php The MIT License
 */
*}
<p class="notice">Your database configuration file is {php} echo  file_exists(CONFIGS.'database.php') ?' present.' . $filePresent = ' ' : ' not present.'; {/php}</p>
{php} if (!empty($filePresent)):{/php}
{php} uses('model' . DS . 'connection_manager'); $db = ConnectionManager::getInstance(); {/php}
{php} $connected = $db->getDataSource('default'); {/php}
<p class="notice">Cake{php} echo $connected->isConnected() ? ' is able to' : ' is not able to';{/php} connect to the database.</p>
<br />
{php} endif; {/php}
<h2>CakePHP release information is on CakeForge</h2>
<a href="https://trac.cakephp.org/wiki/notes/1.1.x.x">Read the release notes and get the latest version</a>
<h2>Editing this Page</h2>
<p>
To change the content of this page, create: /app/views/pages/home.thtml.<br />
To change its layout, create: /app/views/layouts/default.thtml.<br />
<a href="http://manual.cakephp.org/">See the views section of the manual for more info</a><br />
You can also add some CSS styles for your pages at: app/webroot/css/.
</p>
<h2>More about Cake</h2>
<p>
CakePHP is a rapid development framework for PHP which uses commonly known design patterns like
Active Record, Association Data Mapping, Front Controller and MVC.
</p>
<p>
Our primary goal is to provide a structured framework that enables PHP users at all levels
to rapidly develop robust web applications, without any loss to flexibility.
</p>
<ul>
	<li><a href="http://www.cakefoundation.org/">Cake Software Foundation</a>
	<ul><li>Promoting development related to CakePHP</li></ul></li>
	<li><a href="http://bakery.cakephp.org">The Bakery</a>
	<ul><li>Everything CakePHP</li></ul></li>
	<li><a href="http://astore.amazon.com/cakesoftwaref-20/">Book Store</a>
	<ul><li>Recommended Software Books</li></ul></li>
	<li><a href="http://www.cafepress.com/cakefoundation">CakeSchwag</a>
	<ul><li>Get your own CakePHP gear - Doughnate to Cake</li></ul></li>
	<li><a href="http://www.cakephp.org">CakePHP</a>
	<ul><li>The Rapid Development Framework</li></ul></li>
	<li><a href="http://manual.cakephp.org">CakePHP Manual</a>
	<ul><li>Your Rapid Development Cookbook</li></ul></li>
	<li><a href="http://api.cakephp.org">CakePHP API</a>
	<ul><li>Docblock Your Best Friend</li></ul></li>
	<li><a href="http://www.cakeforge.org">CakeForge</a>
	<ul><li>Open Development for CakePHP</li></ul></li>
	<li><a href="https://trac.cakephp.org/">CakePHP Trac</a>
	<ul><li>For the Development of CakePHP (Tickets, SVN browser, Roadmap, Changelogs)</li></ul></li>
	<li><a href="http://groups-beta.google.com/group/cake-php">CakePHP Google Group</a>
	<ul><li>Community mailing list</li></ul></li>
	<li><a href="irc://irc.freenode.net/cakephp">irc.freenode.net #cakephp</a>
	<ul><li>Live chat about CakePHP</li></ul></li>
</ul>