{*
/* SVN FILE: $Id: default.thtml 6305 2008-01-02 02:33:56Z phpnut $ */
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2008, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @filesource
 * @copyright		Copyright 2005-2008, Cake Software Foundation, Inc.
 * @link				http://www.cakefoundation.org/projects/info/cakephp CakePHP(tm) Project
 * @package			cake
 * @subpackage		cake.cake.libs.view.templates.pages
 * @since			CakePHP(tm) v 0.10.0.1076
 * @version			$Revision: 6305 $
 * @modifiedby		$LastChangedBy: phpnut $
 * @lastmodified	$Date: 2008-01-01 20:33:56 -0600 (Tue, 01 Jan 2008) $
 * @license			http://www.opensource.org/licenses/mit-license.php The MIT License
 */
*}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>CakePHP(tm) : {$title_for_layout}</title>
{$html->charset()}
<link rel="icon" href="{$this->webroot}favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="{$this->webroot}favicon.ico" type="image/x-icon" />
{$html->css('cake.generic')}
</head>
<body>
	<div id="container">
		<div id="header">
			<h1>Smarty on CakePHP Rapid Development</h1>
		</div>
		<div id="content">
			{if ($session->check('Message.flash'))}
						{$session->flash()}
			{/if}
					{$content_for_layout}
		</div>
		<div id="footer">
			&nbsp;
			<a href="http://www.cakephp.org/" target="_new">
				{$html->image('cake.power.png', $this->aa('alt', 'CakePHP(tm) : Rapid Development Framework', 'border', "0"))}
			</a>
		</div>
	</div>
		{$cakeDebug}
</body>
</html>